com.aliyun.svideosdk.common.struct.effect

## Class TrackEffectWaterMark.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.TrackEffectWaterMark.Builder

- Enclosing class:
    TrackEffectWaterMark

      public static final class TrackEffectWaterMark.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrackEffectWaterMark` | `build()` Build Track Audio Stream Bean
    `TrackEffectWaterMark.Builder` | `setHeightRatio(float heightRatio)` Sets the height of this sticker relative to the screen resolution.
    `TrackEffectWaterMark.Builder` | `setWidthRatio(float widthRatio)` Sets the width of this sticker relative to the screen resolution.
    `TrackEffectWaterMark.Builder` | `setXRadio(float xRatio)` Sets the x coordinate of the centroid of this sticker relative to the screen resolution.
    `TrackEffectWaterMark.Builder` | `setYRatio(float yRatio)` Sets the y coordinate of the centroid of this sticker relative to the screen resolution.
    `TrackEffectWaterMark.Builder` | `source(Source source)` Sets the path of a resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### source

          public TrackEffectWaterMark.Builder source(Source source)

      Sets the path of a resource.
      Parameters:
        `source` - resource
      Returns:
        this

    - #### setXRadio

          public TrackEffectWaterMark.Builder setXRadio(float xRatio)

      Sets the x coordinate of the centroid of this sticker relative to the screen resolution.
      Parameters:
        `xRatio` - The x coordinate. Valid values: [0, 1]
      Returns:
        this

    - #### setYRatio

          public TrackEffectWaterMark.Builder setYRatio(float yRatio)

      Sets the y coordinate of the centroid of this sticker relative to the screen resolution.
      Parameters:
        `yRatio` - The y coordinate. Valid values: [0, 1]
      Returns:
        this

    - #### setWidthRatio

          public TrackEffectWaterMark.Builder setWidthRatio(float widthRatio)

      Sets the width of this sticker relative to the screen resolution.
      Parameters:
        `widthRatio` - The width. Valid values: [0, 1]
      Returns:
        this

    - #### setHeightRatio

          public TrackEffectWaterMark.Builder setHeightRatio(float heightRatio)

      Sets the height of this sticker relative to the screen resolution.
      Parameters:
        `heightRatio` - The height. Valid values: [0, 1]
      Returns:
        this

    - #### build

          public TrackEffectWaterMark build()

      Build Track Audio Stream Bean
      Returns:
        @return `TrackEffectWaterMark`